Bug 245919 - Horizontal Center alignment not retained
Summary: Horizontal Center alignment not retained
Status: VERIFIED FIXED
Alias: None
Product: calligrasheets
Classification: Applications
Component: general (show other bugs)
Version: Git
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-27 16:46 UTC by Nandita Suri
Modified: 2010-09-20 10:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
testdata to be opened in kspread (8.35 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2010-07-27 16:46 UTC, Nandita Suri
Details
screenshot of the document in kspread (148.30 KB, image/png)
2010-07-27 16:48 UTC, Nandita Suri
Details
ods testdata to be opened in kspread (9.62 KB, application/vnd.oasis.opendocument.spreadsheet)
2010-08-06 13:31 UTC, Nandita Suri
Details
koconverter converted testdata (4.68 KB, application/vnd.oasis.opendocument.spreadsheet)
2010-08-06 13:35 UTC, Nandita Suri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nandita Suri 2010-07-27 16:46:50 UTC
Created attachment 49536 [details]
testdata to be opened in kspread

Version:           svn (using KDE 4.4.3) 
OS:                Linux

Testdata is created using MSOffice 2007. Text in the cells is aligned in
 Horizontal Center , Vertical Top.


Reproducible: Always

Steps to Reproduce:
1. Open the attached document in MSOffice 2007
2. Open the same document in KSpread.
3. Observe the alignment of the text in the cells.

Actual Results:  
KSpread is unable to align the text in Horizontal Center and Vertical Top.
Horizontal Center is not retained.

Expected Results:  
KSpread should be able to align the text in Horizontal Center and Vertical Top.
Horizontal Center should be retained.

SOFTWARE VERSION:
Kubuntu 9.10
Koffice (svn revision 1154943)
Test document (MSOffice 2007): me07_text_alignment_hc_vt_format.xlsx
Comment 1 Nandita Suri 2010-07-27 16:48:23 UTC
Created attachment 49537 [details]
screenshot of the document in kspread
Comment 2 Nandita Suri 2010-08-06 13:31:35 UTC
Created attachment 49876 [details]
ods testdata to be opened in kspread

Horizontal center alignment is not retained when an ods document is opened using kspread.

Attaching the testdata created using OpenOffice.
Comment 3 Nandita Suri 2010-08-06 13:35:56 UTC
Created attachment 49877 [details]
koconverter converted testdata

Converted the xlsx test data to ods by using koconverter.
oocalc loads the converted file correctly and retains the horizontal center alignment.

Guessing it to be a core issue.

Attaching the converted testdata.
Comment 4 Marijn Kruisselbrink 2010-09-16 11:58:06 UTC
SVN commit 1175983 by mkruisselbrink:

make center-aligned text work again
BUG: 245919

 M  +2 -0      CellView.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1175983
Comment 5 Nandita Suri 2010-09-20 10:35:18 UTC
verified in rev 1177329.
Thanks!